GNU bug report logs - #52833
native compilation fails on teco.el from MELPA

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Mark Kennedy <mark.t.kennedy@HIDDEN>; Keywords: pending; dated Mon, 27 Dec 2021 20:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 15 Jan 2022 12:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 07:46:26 2022
Received: from localhost ([127.0.0.1]:39347 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8iRu-000312-60
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 07:46:26 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n8iRs-0002vq-K5
 for 52833 <at> debbugs.gnu.org; Sat, 15 Jan 2022 07:46:25 -0500
Received: from [2001:470:142:3::e] (port=57320 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8iRn-0008Cp-11; Sat, 15 Jan 2022 07:46:19 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=Lb/WIl1oY+I09noHfbiiJYwOtsXLV+YhzLBvFfS24KY=; b=pJCEPtXq/ulv
 MrY0gm2KrZXkxzAiRGCPKvRWOc7/ZVa+iYTyWn7eZjosR+gWGd2lBAuxb9z3OSjQkFknKKDkmai6V
 mu9Z2Ymub2QV2bs0Nf95w/hrJYENYc8LGIDZZXmwsh+4dQB5TWKKNZr/jx8yS4YrEm0Q9e6lYrKSc
 siK2ypA5rJVRGTjs7rbW92EeEMW+wf9NXCw3MbV2+xpTWcEn9tHh0UQkotTkKonoDlTavhvO8f+CU
 Rp4nzbMs+8hz5TURodzlHBzayaQ6v1DxkfmBpzyrHnlKQmWuxk2FOJrgJqaYbeoccRBEu7dRg1r2a
 mpGlegzDYltJySJhPXB+lg==;
Received: from [87.69.77.57] (port=4233 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n8iRm-0004Ik-Jv; Sat, 15 Jan 2022 07:46:19 -0500
Date: Sat, 15 Jan 2022 14:46:01 +0200
Message-Id: <831r19181i.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87czktuqn0.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sat, 
 15 Jan 2022 13:31:31 +0100)
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 <xjfbl106a8k.fsf@HIDDEN> <87wnjo935r.fsf@HIDDEN>
 <83o850lpr0.fsf@HIDDEN> <87czktuqn0.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52833
Cc: mark.t.kennedy@HIDDEN, 52833 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: mark.t.kennedy@HIDDEN,  52833 <at> debbugs.gnu.org,  akrl@HIDDEN
> Date: Sat, 15 Jan 2022 13:31:31 +0100
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> > I've installed a fix on master as e7699bf290, please have a look if it
> >> > works for you as well.
> >> >
> >> > Maintainers will tell us if we want to backport it on emacs-28 as well
> >> > (I think would be worth).
> >> 
> >> If it doesn't lead to any regressions on master, backporting it to
> >> emacs-28 sounds like a good idea to me.
> >
> > Agreed, let's revisit this in a week or two.
> 
> It's now been two weeks, so should this be backported now?

I won't object to backporting it.

> (I can't recall seeing any regressions, but I haven't paid that much
> attention the past few weeks.)

Neither did  I.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 15 Jan 2022 12:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 15 07:31:48 2022
Received: from localhost ([127.0.0.1]:39319 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n8iDk-0000j2-9p
	for submit <at> debbugs.gnu.org; Sat, 15 Jan 2022 07:31:48 -0500
Received: from quimby.gnus.org ([95.216.78.240]:48830)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n8iDi-0000bm-0m
 for 52833 <at> debbugs.gnu.org; Sat, 15 Jan 2022 07:31:46 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=c1CPmoYblJK/+hBV1DVZYqHWQ9D2qNFBQaGXU1JO+gI=; b=WxCNvMYEXtZwftw4hrneTT4TVf
 Xnq+IUScjK465cBDLyFHTs35Stj5wR7tUIcq/IcVE/ivCkIlKjVaTzlqY1vhXzdPDQrJOTtoAeSOT
 H+g7txmMWvZH45SlwduOlt2VPbrem89KKWocH0UK/aZAUJZoJRdwQhSih3vSbbw1RR1M=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n8iDX-0004Hp-S9; Sat, 15 Jan 2022 13:31:38 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 <xjfbl106a8k.fsf@HIDDEN> <87wnjo935r.fsf@HIDDEN>
 <83o850lpr0.fsf@HIDDEN>
X-Now-Playing: Arto Lindsay's _Salt_: "Salt"
Date: Sat, 15 Jan 2022 13:31:31 +0100
In-Reply-To: <83o850lpr0.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 28 Dec
 2021 17:21:07 +0200")
Message-ID: <87czktuqn0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> > I've installed a
 fix on master as e7699bf290, please have a look if it >> > works for you
 as well. >> > >> > Maintainers will tell us if we want to backport it on
 emacs-28 as well >> > (I think w [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52833
Cc: mark.t.kennedy@HIDDEN, 52833 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

>> > I've installed a fix on master as e7699bf290, please have a look if it
>> > works for you as well.
>> >
>> > Maintainers will tell us if we want to backport it on emacs-28 as well
>> > (I think would be worth).
>> 
>> If it doesn't lead to any regressions on master, backporting it to
>> emacs-28 sounds like a good idea to me.
>
> Agreed, let's revisit this in a week or two.

It's now been two weeks, so should this be backported now?  (I can't
recall seeing any regressions, but I haven't paid that much attention
the past few weeks.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.
Added tag(s) pending. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 28 Dec 2021 21:37:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 16:37:30 2021
Received: from localhost ([127.0.0.1]:47622 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2K9x-0005mi-UT
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 16:37:30 -0500
Received: from mx.sdf.org ([205.166.94.24]:50488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1n2K9w-0005ma-7N
 for 52833 <at> debbugs.gnu.org; Tue, 28 Dec 2021 16:37:28 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 1BSLbQIE010636
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 28 Dec 2021 21:37:27 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Mark Kennedy <mark.t.kennedy@HIDDEN>
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 <xjfbl106a8k.fsf@HIDDEN> <87wnjo935r.fsf@HIDDEN>
 <83o850lpr0.fsf@HIDDEN>
 <CANru7VF2hP-v53BOmKVpS3hEaOCmLTXEpG8zyod87KG9SEa2iw@HIDDEN>
Date: Tue, 28 Dec 2021 21:37:26 +0000
In-Reply-To: <CANru7VF2hP-v53BOmKVpS3hEaOCmLTXEpG8zyod87KG9SEa2iw@HIDDEN>
 (Mark Kennedy's message of "Tue, 28 Dec 2021 14:08:23 -0500")
Message-ID: <xjf7dbo5s2x.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52833
Cc: Eli Zaretskii <eliz@HIDDEN>, Lars Ingebrigtsen <larsi@HIDDEN>,
 52833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark Kennedy <mark.t.kennedy@HIDDEN> writes:

> that fix is working well for me.  thanks for the quick turn around.  and i hope you don't get tired of hearing it but
> native compilation is enormously *fun* (and useful)!
> /mark

Sure not, that was very useful.

Thanks for reporting

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 28 Dec 2021 19:08:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 14:08:42 2021
Received: from localhost ([127.0.0.1]:47415 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2Hpx-0008Hi-LU
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 14:08:41 -0500
Received: from mail-oi1-f175.google.com ([209.85.167.175]:42960)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark.t.kennedy@HIDDEN>) id 1n2Hpw-0008HW-QP
 for 52833 <at> debbugs.gnu.org; Tue, 28 Dec 2021 14:08:41 -0500
Received: by mail-oi1-f175.google.com with SMTP id p4so31357996oia.9
 for <52833 <at> debbugs.gnu.org>; Tue, 28 Dec 2021 11:08:40 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=VLPkrSDZvEtIKbBtIPSlIB63lO86iMWjFKm6gkoOu5Q=;
 b=d5XsJlGnreoOVXyG0RRN53koOZH2wg8FR80Qd4zN8OnHsnc+649xuj2MI96t2egf8u
 vavrqV/rcGhC0NaKxnbcmyXLqP9jPyibcKopTxH7LEMWec/h29URbeEsVAfwxuNL21lj
 aEsN89F/VPZStOLIRGADjZCt2t5Q1R239dapxW/4iNY6U0E9euj2Dw9iO7Mo0C8ngW7n
 KKXFjKKWS34hpRuyUppb/Erv9b3PamOjc2ou+8dVsWPpVBEbAHSxYpneCoz/FXBGSsTz
 UA2CX/qEwyb7AUjvnFJEV8v2bVwbmNIoqoGFLLxtX0S4WLiR+tsg2WVZWtblqBZzIhNq
 z0lw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=VLPkrSDZvEtIKbBtIPSlIB63lO86iMWjFKm6gkoOu5Q=;
 b=A3NkQTTovyPPAT9oivn4C44p1Yu6v/ASJ2uGQZ/vKuJGs9Q9628qUjzQuZGzNzXC86
 A0yQp7MyeVtYXXMiYY7dMkmN+gBfGruLF/QZFs/vHLuF6c0tB/GXlf+4AT1m8rqx6qsV
 7sKd0na4tg1xjP0LWkYB6REU+ZsnpvUb3Ah1Kewm0vl7oIcR8j9PGQbJXGtztwT7rc1u
 WqEehsB1Up847q2AbgOX9HtKEoj6/7S7HumbGPDVHzeNhHtaD/1o0vO/pG5oyTNVXieg
 0X4hDZ2TDTPixJ/zmUlnp54sYMhANlXe0YQt+0lyKW9mVQNhAgGdv+s5Qdb4ZU8zI6rb
 7N5Q==
X-Gm-Message-State: AOAM533GFiU87rZORhaq8FzywE0qNKKVXfIW+uL1x468IPDHVxneHx43
 X/X1jfoAXSba+sP+2tJ1l9w516w4C0QxIBDEmFyCbD6g
X-Google-Smtp-Source: ABdhPJwbZ25lKCnhxp1qVsRtshTpcZf6OV+Wjx8JFc50e/H1Ay9tznmS2VgutPW2J0m/HDb8n+xwVOFSNvm8HBsKiUU=
X-Received: by 2002:a05:6808:15a:: with SMTP id
 h26mr17744944oie.123.1640718515146; 
 Tue, 28 Dec 2021 11:08:35 -0800 (PST)
MIME-Version: 1.0
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 <xjfbl106a8k.fsf@HIDDEN> <87wnjo935r.fsf@HIDDEN>
 <83o850lpr0.fsf@HIDDEN>
In-Reply-To: <83o850lpr0.fsf@HIDDEN>
From: Mark Kennedy <mark.t.kennedy@HIDDEN>
Date: Tue, 28 Dec 2021 14:08:23 -0500
Message-ID: <CANru7VF2hP-v53BOmKVpS3hEaOCmLTXEpG8zyod87KG9SEa2iw@HIDDEN>
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: multipart/alternative; boundary="00000000000045931005d4398c7f"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 52833
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 52833 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--00000000000045931005d4398c7f
Content-Type: text/plain; charset="UTF-8"

that fix is working well for me.  thanks for the quick turn around.  and i
hope you don't get tired of hearing it but native compilation is enormously
*fun* (and useful)!
/mark

On Tue, Dec 28, 2021 at 10:21 AM Eli Zaretskii <eliz@HIDDEN> wrote:

> > Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
> > Original-Sender: "Debbugs-submit" <
> debbugs-submit-bounces <at> debbugs.gnu.org>
> > Resent-CC: bug-gnu-emacs@HIDDEN
> > Resent-Sender: help-debbugs@HIDDEN
> > From: Lars Ingebrigtsen <larsi@HIDDEN>
> > Date: Tue, 28 Dec 2021 16:09:52 +0100
> > Cc: Mark Kennedy <mark.t.kennedy@HIDDEN>, 52833 <at> debbugs.gnu.org
> >
> > Andrea Corallo <akrl@HIDDEN> writes:
> >
> > > I've installed a fix on master as e7699bf290, please have a look if it
> > > works for you as well.
> > >
> > > Maintainers will tell us if we want to backport it on emacs-28 as well
> > > (I think would be worth).
> >
> > If it doesn't lead to any regressions on master, backporting it to
> > emacs-28 sounds like a good idea to me.
>
> Agreed, let's revisit this in a week or two.
>
> Thanks.
>

--00000000000045931005d4398c7f
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">that fix is working well for me.=C2=A0 thanks for the quic=
k turn around.=C2=A0 and i hope you don&#39;t get tired of hearing it but n=
ative compilation is enormously *fun* (and useful)!<div>/mark</div></div><b=
r><div class=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Tue, =
Dec 28, 2021 at 10:21 AM Eli Zaretskii &lt;<a href=3D"mailto:eliz@HIDDEN">=
eliz@HIDDEN</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" styl=
e=3D"margin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);paddin=
g-left:1ex">&gt; Resent-From: Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi=
@gnus.org" target=3D"_blank">larsi@HIDDEN</a>&gt;<br>
&gt; Original-Sender: &quot;Debbugs-submit&quot; &lt;<a href=3D"mailto:debb=
ugs-submit-bounces <at> debbugs.gnu.org" target=3D"_blank">debbugs-submit-bounce=
s <at> debbugs.gnu.org</a>&gt;<br>
&gt; Resent-CC: <a href=3D"mailto:bug-gnu-emacs@HIDDEN" target=3D"_blank">=
bug-gnu-emacs@HIDDEN</a><br>
&gt; Resent-Sender: <a href=3D"mailto:help-debbugs@HIDDEN" target=3D"_blan=
k">help-debbugs@HIDDEN</a><br>
&gt; From: Lars Ingebrigtsen &lt;<a href=3D"mailto:larsi@HIDDEN" target=
=3D"_blank">larsi@HIDDEN</a>&gt;<br>
&gt; Date: Tue, 28 Dec 2021 16:09:52 +0100<br>
&gt; Cc: Mark Kennedy &lt;<a href=3D"mailto:mark.t.kennedy@HIDDEN" targe=
t=3D"_blank">mark.t.kennedy@HIDDEN</a>&gt;, <a href=3D"mailto:52833@debb=
ugs.gnu.org" target=3D"_blank">52833 <at> debbugs.gnu.org</a><br>
&gt; <br>
&gt; Andrea Corallo &lt;<a href=3D"mailto:akrl@HIDDEN" target=3D"_blank">a=
krl@HIDDEN</a>&gt; writes:<br>
&gt; <br>
&gt; &gt; I&#39;ve installed a fix on master as e7699bf290, please have a l=
ook if it<br>
&gt; &gt; works for you as well.<br>
&gt; &gt;<br>
&gt; &gt; Maintainers will tell us if we want to backport it on emacs-28 as=
 well<br>
&gt; &gt; (I think would be worth).<br>
&gt; <br>
&gt; If it doesn&#39;t lead to any regressions on master, backporting it to=
<br>
&gt; emacs-28 sounds like a good idea to me.<br>
<br>
Agreed, let&#39;s revisit this in a week or two.<br>
<br>
Thanks.<br>
</blockquote></div>

--00000000000045931005d4398c7f--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 28 Dec 2021 15:21:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 10:21:15 2021
Received: from localhost ([127.0.0.1]:47206 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2EHr-0000YJ-0q
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 10:21:15 -0500
Received: from eggs.gnu.org ([209.51.188.92]:54126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1n2EHo-0000Y5-GF
 for 52833 <at> debbugs.gnu.org; Tue, 28 Dec 2021 10:21:12 -0500
Received: from [2001:470:142:3::e] (port=39170 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n2EHj-0001nW-8w; Tue, 28 Dec 2021 10:21:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=iorsRKYs9QG0uBScydihviw3ckGQ3aZW2DX/Tu2WrRg=; b=dnVCxZzjvk14
 gdHrtWxZy4Of97WSMuREUONfG4uEm8iJrBZvnNRDonEbcBD2qVhojmFVCbWMqfj0l29subfa7tcFl
 siqVkWVf9oeEgN89BIzUQGHPY3HgOHWRr9dC+RzGit/htbaE7j/1RQAaOhzWFS7LcECy1aH+U3qvC
 YTRP9CrGoq16PrUR0rh1XcH0SjHskfP/WR2ANPFeOxrb54KJqGj9/keOiX9mdcs4G67szw4T7oq1Z
 0O+9nAv+U3MQxoZ1A0cgp+mSvulBY2f3OIfzKNTNf1lqOO+2FX9vfO8m9JtioGvIzuIwqJLwNC0fT
 fhJRbWbNeY7ZqGj9WAmhRw==;
Received: from [87.69.77.57] (port=1608 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1n2EHj-0000pH-6J; Tue, 28 Dec 2021 10:21:07 -0500
Date: Tue, 28 Dec 2021 17:21:07 +0200
Message-Id: <83o850lpr0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87wnjo935r.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 28 Dec 2021 16:09:52 +0100)
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 <xjfbl106a8k.fsf@HIDDEN> <87wnjo935r.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52833
Cc: mark.t.kennedy@HIDDEN, 52833 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
> Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
> Resent-CC: bug-gnu-emacs@HIDDEN
> Resent-Sender: help-debbugs@HIDDEN
> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Tue, 28 Dec 2021 16:09:52 +0100
> Cc: Mark Kennedy <mark.t.kennedy@HIDDEN>, 52833 <at> debbugs.gnu.org
> 
> Andrea Corallo <akrl@HIDDEN> writes:
> 
> > I've installed a fix on master as e7699bf290, please have a look if it
> > works for you as well.
> >
> > Maintainers will tell us if we want to backport it on emacs-28 as well
> > (I think would be worth).
> 
> If it doesn't lead to any regressions on master, backporting it to
> emacs-28 sounds like a good idea to me.

Agreed, let's revisit this in a week or two.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 28 Dec 2021 15:10:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 10:10:05 2021
Received: from localhost ([127.0.0.1]:47193 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2E73-0000Fu-IZ
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 10:10:05 -0500
Received: from quimby.gnus.org ([95.216.78.240]:52264)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1n2E71-0000FD-ND
 for 52833 <at> debbugs.gnu.org; Tue, 28 Dec 2021 10:10:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=k93g5A5TJ1E+zRYmhXV4oJMw87mcqgPSm3XtlmofqC8=; b=L21d9X+363lZqcBrUk+7o74OaM
 7AM8Or8t4+AIexzQ0We+5GS+kXtW2sludN6Q0Jsgk8mRlTBRa02Dz1Ia8RjWP5uVu4ri22ewv6FOT
 EZS+M9+3W+teOQmBn7ZVihokojPQg219rTVCqO1cnAdXEdtefHpYk03ShWsibqUXTfek=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1n2E6q-0007zH-SU; Tue, 28 Dec 2021 16:09:56 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 <xjfbl106a8k.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAKlBMVEXewafkyK/Wt5va
 vKLw18LwuaeuXzlpNCXDmGa2pZOfNB/KXSzqzJD///9UQ1I6AAAAAWJLR0QN9rRh9QAAAAd0SU1F
 B+UMHA8JGnKeILkAAAFpSURBVDjLpZRLTsMwEIYdhQN4SCxF7BJfwPX0AES0rInUXIEilX0QrMqG
 I3ACEEr2FSoXYMGh8CNxnAdIiH81838zTmLNhBAtoKBEA6A60eEpyeaV/g/wecBlF+EAIEpsK1A6
 gFZSFXOdjIESx8xUGMBlD9DGUgGOvt1lCuCsfgHzPi4I/xsQSw8EcR454HUs8rKMLQkHIC4BWM7d
 M1wDg+0NbKIJWBbPVf3CLsZAQnRfXzcMJh3ssmo+dinw8Xews9enpt4X7q26jjx5Sx7qVB8lQiQ9
 gKS+PVSBBnoEFRCKkTCEq93heLcGYXwNiNVJ8fl+3MN5m/YgWMPXY76JHHDSV1KCmIIgZxBTMgUE
 Vivoy8gP8kFAvcx8Ryvqd/jAl7pEgXO+ufaBJaxvgOgPC91k20kc+2Y/7BiF2J5tGxxoIc4CT1kH
 /FVQq8MtkNlwDbMOoFn88dCnxNt7rldf2prU/IScaB9+A2ehpyLIH6QIAAAAJXRFWHRkYXRlOmNy
 ZWF0ZQAyMDIxLTEyLTI4VDE1OjA5OjI2KzAwOjAw8Ih75QAAACV0RVh0ZGF0ZTptb2RpZnkAMjAy
 MS0xMi0yOFQxNTowOToyNiswMDowMIHVw1kAAAAASUVORK5CYII=
X-Now-Playing: Static's _Ghost Boy_: "Ghost Boy (ISAN Remix)"
Date: Tue, 28 Dec 2021 16:09:52 +0100
In-Reply-To: <xjfbl106a8k.fsf@HIDDEN> (Andrea Corallo's message of "Tue,
 28 Dec 2021 15:05:15 +0000")
Message-ID: <87wnjo935r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andrea Corallo <akrl@HIDDEN> writes: > I've installed a fix
 on master as e7699bf290, please have a look if it > works for you as well.
 > > Maintainers will tell us if we want to backport it on emacs-28 as well
 > (I think would be worth). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 52833
Cc: Mark Kennedy <mark.t.kennedy@HIDDEN>, 52833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> I've installed a fix on master as e7699bf290, please have a look if it
> works for you as well.
>
> Maintainers will tell us if we want to backport it on emacs-28 as well
> (I think would be worth).

If it doesn't lead to any regressions on master, backporting it to
emacs-28 sounds like a good idea to me.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.

Message received at 52833 <at> debbugs.gnu.org:


Received: (at 52833) by debbugs.gnu.org; 28 Dec 2021 15:05:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 28 10:05:20 2021
Received: from localhost ([127.0.0.1]:47182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n2E2R-00008E-Pu
	for submit <at> debbugs.gnu.org; Tue, 28 Dec 2021 10:05:19 -0500
Received: from mx.sdf.org ([205.166.94.24]:50337)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1n2E2P-000086-NU
 for 52833 <at> debbugs.gnu.org; Tue, 28 Dec 2021 10:05:18 -0500
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 1BSF5Fv4029656
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 28 Dec 2021 15:05:17 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Mark Kennedy <mark.t.kennedy@HIDDEN>
Subject: Re: bug#52833: native compilation fails on teco.el from MELPA
References: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
Date: Tue, 28 Dec 2021 15:05:15 +0000
In-Reply-To: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
 (Mark Kennedy's message of "Mon, 27 Dec 2021 15:40:09 -0500")
Message-ID: <xjfbl106a8k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 52833
Cc: 52833 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark Kennedy <mark.t.kennedy@HIDDEN> writes:

> from a fresh build:
>
> src/emacs -Q -batch -l comp -f batch-native-compile /home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el
> Debugger entered--Lisp error: (args-out-of-range "/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el" "d" 1)
>   signal(args-out-of-range ("/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el" "d" 1))
>   comp--native-compile("/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el")
>   batch-native-compile()
>   command-line-1(("-l" "comp" "-f" "batch-native-compile" "/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el"))
>   command-line()
>   normal-top-level()

Hi Mark,

having a look here, the trouble is that the compiler is presented with a
function named "teco:type-1-\^M".  The ^M is the trigger for the bug
while converting the lisp function name in a valid symbol name for the C
toolchain.  The fix should cover all characters below 15 that might
appear in a symbol.

I've installed a fix on master as e7699bf290, please have a look if it
works for you as well.

Maintainers will tell us if we want to backport it on emacs-28 as well
(I think would be worth).

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Dec 2021 20:40:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 27 15:40:33 2021
Received: from localhost ([127.0.0.1]:44409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1n1wnI-00028n-Os
	for submit <at> debbugs.gnu.org; Mon, 27 Dec 2021 15:40:33 -0500
Received: from lists.gnu.org ([209.51.188.17]:60116)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mark.t.kennedy@HIDDEN>) id 1n1wnC-00028X-K7
 for submit <at> debbugs.gnu.org; Mon, 27 Dec 2021 15:40:31 -0500
Received: from eggs.gnu.org ([209.51.188.92]:46496)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mark.t.kennedy@HIDDEN>)
 id 1n1wnC-0004KL-CX
 for bug-gnu-emacs@HIDDEN; Mon, 27 Dec 2021 15:40:26 -0500
Received: from [2607:f8b0:4864:20::235] (port=33308
 helo=mail-oi1-x235.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <mark.t.kennedy@HIDDEN>)
 id 1n1wn9-0005W8-Gd
 for bug-gnu-emacs@HIDDEN; Mon, 27 Dec 2021 15:40:26 -0500
Received: by mail-oi1-x235.google.com with SMTP id w7so6208149oiw.0
 for <bug-gnu-emacs@HIDDEN>; Mon, 27 Dec 2021 12:40:21 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=csRIafHnqbD+M8zpTc7oBZNLemKdLNOFMaMikYCm8g8=;
 b=bsrYEdVs5yQvpGRgqAa/Fzxmob59HOHjFk6s0Oe6zczjBsqCBUXT3E6IFmqrdDHFrm
 5Qm9xO7TfBnyhlbHkt58KMh1qY2ateCxNvCrkFdh84/1r6YRSGDo7qWI49/V5Iy2xAdI
 bNYvpm0uISaLD97Ez8pFp/mwEPbZG4YrT1dMHJ+FK8wGkBPBDr2NEcmB8BpURxHQnpda
 nzPl6t0UDR6IMeEwd38ykwc/xmVCWrPSzEm2E3OH2O8jzVS6W4cJ/QxtV0Fex6u1TEmj
 V6qBMvwfby9bks5E8VCpTStSYsh4q/J7BKjoNo5BpLs8XGiEQ6d9cotKo5vVASQU/v9J
 Rs5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=csRIafHnqbD+M8zpTc7oBZNLemKdLNOFMaMikYCm8g8=;
 b=F+qMWRl1JcrbEAZmosItoKxCryW4LGeA+PiNQfXLrDsoAq3ThDIkPlSs9qRXewlxAI
 gfV2DIHTWIYBUUAlzCCtvZotxL1gZ4S6R2rnNsCmFRPcz27SCNi0l8gk7WeTwQuFkpeO
 +OiTCUfF8n5hd+8wz30maNnICByX9lwop9QHDEuVuLTE4A7g8PAI4XKXjR7gj4hbDsvz
 hV5GqDZ3R/z6YnE3MzLCSnvS1CVReSd+q6b7qrytE0pqzhlROpkzpetw628bOuw8Fq73
 lWkY+V6OmeBEb46S9fSWbwdL85ykuEPGME8JcR0Q5+uMoMgKmjVI34LmlArS4/xWt51k
 SXQg==
X-Gm-Message-State: AOAM531Jan1Q2x0YVAqXU8VAT89u8VTCpN4Id2CRQBgzuA7IucTOBvoH
 xFBzBQ+1GJ3gXI+jxbd4C4eoNmLLCCZkz+9u5G5wm6MDGgI=
X-Google-Smtp-Source: ABdhPJyCF0aUCriihXKHxPcNxNBfnz4tlVyVuQ8MVC6KhcQHoucwxj+hLoAM8JnKKOiRcovmOxt3wXOt77KZ+d/f+W8=
X-Received: by 2002:a05:6808:208e:: with SMTP id
 s14mr13295329oiw.170.1640637620076; 
 Mon, 27 Dec 2021 12:40:20 -0800 (PST)
MIME-Version: 1.0
From: Mark Kennedy <mark.t.kennedy@HIDDEN>
Date: Mon, 27 Dec 2021 15:40:09 -0500
Message-ID: <CANru7VFCeWnzz4LoLe17_wptKXoGWv5R2eWmqsMXOOFvSnpdDQ@HIDDEN>
Subject: native compilation fails on teco.el from MELPA
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000008cc38905d426b640"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::235
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::235;
 envelope-from=mark.t.kennedy@HIDDEN; helo=mail-oi1-x235.google.com
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, RDNS_NONE=0.793,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000008cc38905d426b640
Content-Type: text/plain; charset="UTF-8"

from a fresh build:

src/emacs -Q -batch -l comp -f batch-native-compile
/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el
Debugger entered--Lisp error: (args-out-of-range
"/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el" "d" 1)
  signal(args-out-of-range
("/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el" "d" 1))
  comp--native-compile("/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el")
  batch-native-compile()
  command-line-1(("-l" "comp" "-f" "batch-native-compile"
"/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el"))
  command-line()
  normal-top-level()

In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.24.31,
cairo version 1.17.4)
 of 2021-12-27 built on x1.mofjwutu.com
Repository revision: 8df3a71c526c28b17926f7b56860f9798ab6d933
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12014000
System Description: Fedora Linux 35 (Workstation Edition)

Configured using:
 'configure --with-native-compilation'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER
PNG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP X11 XDBE
XIM XPM GTK3 ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  indent-guide-mode: t
  subword-mode: t
  save-place-mode: t
  desktop-save-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  beacon-mode: t
  pcre-mode: t
  dynamic-completion-mode: t
  msb-mode: t
  winner-mode: t
  savehist-mode: t
  which-function-mode: t
  global-page-break-lines-mode: t
  page-break-lines-mode: t
  global-hi-lock-mode: t
  hi-lock-mode: t
  icomplete-mode: t
  dap-tooltip-mode: t
  dap-ui-many-windows-mode: t
  dap-ui-controls-mode: t
  dap-ui-mode: t
  which-key-mode: t
  treemacs-filewatch-mode: t
  treemacs-follow-mode: t
  treemacs-git-mode: t
  treemacs-fringe-indicator-mode: t
  dap-auto-configure-mode: t
  dap-mode: t
  yas-minor-mode: t
  flycheck-mode: t
  override-global-mode: t
  hl-todo-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  tab-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco hides
/usr/local/share/emacs/site-lisp/teco
/home/mtk/.emacs.d/elpa/transient-20211226.738/transient hides
/usr/local/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort emacsbug jka-compr mail-extr smtpmail sendmail cl-print
debug backtrace cus-start misearch multi-isearch hippie-exp shortdoc
help-fns radix-tree teco bs add-log mm-archive message yank-media dired
dired-loaddefs rfc822 mml mml-sec epa derived gnus-util mailabbrev
gmm-utils mm-decode mm-bodies mm-encode lsp-headerline lsp-icons
bug-reference url-http url-gw url-cache url-auth mule-util vc-git
diff-mode vc-dispatcher lsp-diagnostics lsp-modeline company-oddmuse
company-keywords company-etags etags fileloop generator company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-capf company-cmake company-semantic company-template
company-bbdb lsp-zig lsp-steep lsp-svelte lsp-sqls lsp-yaml lsp-xml
lsp-vimscript lsp-vhdl lsp-vetur lsp-html lsp-verilog lsp-vala lsp-v
lsp-toml lsp-terraform lsp-tex lsp-sorbet lsp-solargraph lsp-rust lsp-rf
lsp-r lsp-purescript lsp-pylsp lsp-pyls lsp-pwsh lsp-php lsp-perl
lsp-ocaml lsp-nix lsp-nim lsp-nginx lsp-markdown lsp-lua lsp-kotlin
lsp-json lsp-javascript lsp-haxe lsp-groovy lsp-hack lsp-graphql lsp-go
lsp-completion lsp-gdscript lsp-fsharp lsp-fortran lsp-eslint lsp-erlang
lsp-elixir lsp-elm lsp-dockerfile lsp-dhall lsp-d lsp-css lsp-csharp
gnutls lsp-crystal lsp-cmake lsp-clojure lsp-semantic-tokens lsp-clangd
dom lsp-beancount lsp-bash lsp-angular lsp-ada lsp-actionscript ccls
ccls-member-hierarchy ccls-inheritance-hierarchy ccls-call-hierarchy
ccls-tree ccls-code-lens ccls-semantic-highlight ccls-common scala-mode
scala-mode-prettify-symbols scala-mode-imenu scala-mode-map
scala-mode-fontlock scala-mode-indent scala-mode-paragraph
scala-mode-syntax scala-mode-lib time-date disp-table indent-guide
hlinum linum cap-words superword subword saveplace desktop frameset
display-line-numbers beacon pcre2el rxt re-builder completion msb winner
savehist which-func page-break-lines hi-lock avoid icomplete server
lsp-pyright dap-mouse dap-ui gdb-mi gud bui bui-list bui-info bui-entry
bui-core bui-history bui-button bui-utils cus-edit pp cus-load dap-java
lsp-java request mailheader autorevert mail-utils cc-mode cc-fonts
cc-guess cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs
which-key lsp-ui lsp-ui-flycheck lsp-ui-doc goto-addr lsp-ui-imenu
lsp-ui-peek lsp-ui-sideline lsp-ui-util face-remap company hydra
flycheck-package package-lint let-alist finder finder-inf projectile
lisp-mnt mail-parse rfc2231 rfc2047 rfc2045 mm-util ietf-drums
mail-prsvr grep ibuf-ext ibuffer ibuffer-loaddefs lsp-metals view
lsp-metals-treeview lsp-treemacs lsp-treemacs-themes treemacs
treemacs-header-line treemacs-compatibility treemacs-mode
treemacs-interface treemacs-extensions treemacs-mouse-interface
treemacs-tags treemacs-persistence treemacs-filewatch-mode
treemacs-follow-mode treemacs-rendering treemacs-async
treemacs-workspaces treemacs-dom treemacs-visuals
treemacs-fringe-indicator treemacs-scope pulse treemacs-faces
treemacs-icons treemacs-themes treemacs-core-utils pfuture hl-line
treemacs-logging treemacs-customization treemacs-macros
lsp-metals-protocol lsp-lens dap-mode dap-launch posframe dap-overlays
lsp-mode lsp-protocol aws-snippets go-snippets yasnippet-snippets
yasnippet xref project tree-widget wid-edit spinner pcase network-stream
puny nsm rmc markdown-mode color thingatpt noutline outline lv inline
imenu ht filenotify ewoc epg rfc6068 epg-config compile
text-property-search comint ring flycheck-eldev flycheck ansi-color
find-func use-package-bind-key bind-key easy-mmode importmagic f dash s
epc ctable edmacro kmacro concurrent deferred hl-todo use-package-ensure
ialign align use-package-core tab-line comp comp-cstr warnings cl-extra
help-mode trim page-menu cperl-mode facemenu rx cl advice info package
browse-url url url-proxy url-privacy url-expand url-methods url-history
url-cookie url-domsuf url-util mailcap url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json map url-vars seq gv subr-x byte-opt bytecomp
byte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice
button loaddefs faces cus-face macroexp files window text-properties
overlay sha1 md5 base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process
native-compile emacs)

Memory information:
((conses 16 2033024 1757529)
 (symbols 48 66451 1630)
 (strings 32 383718 254293)
 (string-bytes 1 13170950)
 (vectors 16 191556)
 (vector-slots 8 3613222 864180)
 (floats 8 900 4896)
 (intervals 56 211261 67849)
 (buffers 992 38))

--0000000000008cc38905d426b640
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">from a fresh build:<br><br>src/emacs -Q -batch -l comp -f =
batch-native-compile /home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el<br>=
Debugger entered--Lisp error: (args-out-of-range &quot;/home/mtk/.emacs.d/e=
lpa/teco-20200707.2309/teco.el&quot; &quot;d&quot; 1)<br>=C2=A0 signal(args=
-out-of-range (&quot;/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco.el&quo=
t; &quot;d&quot; 1))<br>=C2=A0 comp--native-compile(&quot;/home/mtk/.emacs.=
d/elpa/teco-20200707.2309/teco.el&quot;)<br>=C2=A0 batch-native-compile()<b=
r>=C2=A0 command-line-1((&quot;-l&quot; &quot;comp&quot; &quot;-f&quot; &qu=
ot;batch-native-compile&quot; &quot;/home/mtk/.emacs.d/elpa/teco-20200707.2=
309/teco.el&quot;))<br>=C2=A0 command-line()<br>=C2=A0 normal-top-level()<b=
r><br>In GNU Emacs 29.0.50 (build 3, x86_64-pc-linux-gnu, GTK+ Version 3.24=
.31, cairo version 1.17.4)<br>=C2=A0of 2021-12-27 built on <a href=3D"http:=
//x1.mofjwutu.com">x1.mofjwutu.com</a><br>Repository revision: 8df3a71c526c=
28b17926f7b56860f9798ab6d933<br>Repository branch: master<br>Windowing syst=
em distributor &#39;The X.Org Foundation&#39;, version 11.0.12014000<br>Sys=
tem Description: Fedora Linux 35 (Workstation Edition)<br><br>Configured us=
ing:<br>=C2=A0&#39;configure --with-native-compilation&#39;<br><br>Configur=
ed features:<br>ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFB=
UZZ JPEG JSON<br>LIBSELINUX LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY I=
NOTIFY PDUMPER<br>PNG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BAR=
S WEBP X11 XDBE<br>XIM XPM GTK3 ZLIB<br><br>Important settings:<br>=C2=A0 v=
alue of $LANG: en_US.UTF-8<br>=C2=A0 value of $XMODIFIERS: @im=3Dnone<br>=
=C2=A0 locale-coding-system: utf-8-unix<br><br>Major mode: Lisp Interaction=
<br><br>Minor modes in effect:<br>=C2=A0 indent-guide-mode: t<br>=C2=A0 sub=
word-mode: t<br>=C2=A0 save-place-mode: t<br>=C2=A0 desktop-save-mode: t<br=
>=C2=A0 global-display-line-numbers-mode: t<br>=C2=A0 display-line-numbers-=
mode: t<br>=C2=A0 beacon-mode: t<br>=C2=A0 pcre-mode: t<br>=C2=A0 dynamic-c=
ompletion-mode: t<br>=C2=A0 msb-mode: t<br>=C2=A0 winner-mode: t<br>=C2=A0 =
savehist-mode: t<br>=C2=A0 which-function-mode: t<br>=C2=A0 global-page-bre=
ak-lines-mode: t<br>=C2=A0 page-break-lines-mode: t<br>=C2=A0 global-hi-loc=
k-mode: t<br>=C2=A0 hi-lock-mode: t<br>=C2=A0 icomplete-mode: t<br>=C2=A0 d=
ap-tooltip-mode: t<br>=C2=A0 dap-ui-many-windows-mode: t<br>=C2=A0 dap-ui-c=
ontrols-mode: t<br>=C2=A0 dap-ui-mode: t<br>=C2=A0 which-key-mode: t<br>=C2=
=A0 treemacs-filewatch-mode: t<br>=C2=A0 treemacs-follow-mode: t<br>=C2=A0 =
treemacs-git-mode: t<br>=C2=A0 treemacs-fringe-indicator-mode: t<br>=C2=A0 =
dap-auto-configure-mode: t<br>=C2=A0 dap-mode: t<br>=C2=A0 yas-minor-mode: =
t<br>=C2=A0 flycheck-mode: t<br>=C2=A0 override-global-mode: t<br>=C2=A0 hl=
-todo-mode: t<br>=C2=A0 tooltip-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=
=C2=A0 eldoc-mode: t<br>=C2=A0 show-paren-mode: t<br>=C2=A0 electric-indent=
-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 tool-bar-mode: t<br>=C2=A0=
 tab-bar-mode: t<br>=C2=A0 menu-bar-mode: t<br>=C2=A0 file-name-shadow-mode=
: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: t<br>=C2=
=A0 blink-cursor-mode: t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-=
encryption-mode: t<br>=C2=A0 auto-compression-mode: t<br>=C2=A0 size-indica=
tion-mode: t<br>=C2=A0 column-number-mode: t<br>=C2=A0 line-number-mode: t<=
br>=C2=A0 indent-tabs-mode: t<br>=C2=A0 transient-mark-mode: t<br><br>Load-=
path shadows:<br>/home/mtk/.emacs.d/elpa/teco-20200707.2309/teco hides /usr=
/local/share/emacs/site-lisp/teco<br>/home/mtk/.emacs.d/elpa/transient-2021=
1226.738/transient hides /usr/local/share/emacs/29.0.50/lisp/transient<br><=
br>Features:<br>(shadow sort emacsbug jka-compr mail-extr smtpmail sendmail=
 cl-print<br>debug backtrace cus-start misearch multi-isearch hippie-exp sh=
ortdoc<br>help-fns radix-tree teco bs add-log mm-archive message yank-media=
 dired<br>dired-loaddefs rfc822 mml mml-sec epa derived gnus-util mailabbre=
v<br>gmm-utils mm-decode mm-bodies mm-encode lsp-headerline lsp-icons<br>bu=
g-reference url-http url-gw url-cache url-auth mule-util vc-git<br>diff-mod=
e vc-dispatcher lsp-diagnostics lsp-modeline company-oddmuse<br>company-key=
words company-etags etags fileloop generator company-gtags<br>company-dabbr=
ev-code company-dabbrev company-files company-clang<br>company-capf company=
-cmake company-semantic company-template<br>company-bbdb lsp-zig lsp-steep =
lsp-svelte lsp-sqls lsp-yaml lsp-xml<br>lsp-vimscript lsp-vhdl lsp-vetur ls=
p-html lsp-verilog lsp-vala lsp-v<br>lsp-toml lsp-terraform lsp-tex lsp-sor=
bet lsp-solargraph lsp-rust lsp-rf<br>lsp-r lsp-purescript lsp-pylsp lsp-py=
ls lsp-pwsh lsp-php lsp-perl<br>lsp-ocaml lsp-nix lsp-nim lsp-nginx lsp-mar=
kdown lsp-lua lsp-kotlin<br>lsp-json lsp-javascript lsp-haxe lsp-groovy lsp=
-hack lsp-graphql lsp-go<br>lsp-completion lsp-gdscript lsp-fsharp lsp-fort=
ran lsp-eslint lsp-erlang<br>lsp-elixir lsp-elm lsp-dockerfile lsp-dhall ls=
p-d lsp-css lsp-csharp<br>gnutls lsp-crystal lsp-cmake lsp-clojure lsp-sema=
ntic-tokens lsp-clangd<br>dom lsp-beancount lsp-bash lsp-angular lsp-ada ls=
p-actionscript ccls<br>ccls-member-hierarchy ccls-inheritance-hierarchy ccl=
s-call-hierarchy<br>ccls-tree ccls-code-lens ccls-semantic-highlight ccls-c=
ommon scala-mode<br>scala-mode-prettify-symbols scala-mode-imenu scala-mode=
-map<br>scala-mode-fontlock scala-mode-indent scala-mode-paragraph<br>scala=
-mode-syntax scala-mode-lib time-date disp-table indent-guide<br>hlinum lin=
um cap-words superword subword saveplace desktop frameset<br>display-line-n=
umbers beacon pcre2el rxt re-builder completion msb winner<br>savehist whic=
h-func page-break-lines hi-lock avoid icomplete server<br>lsp-pyright dap-m=
ouse dap-ui gdb-mi gud bui bui-list bui-info bui-entry<br>bui-core bui-hist=
ory bui-button bui-utils cus-edit pp cus-load dap-java<br>lsp-java request =
mailheader autorevert mail-utils cc-mode cc-fonts<br>cc-guess cc-menus cc-c=
mds cc-styles cc-align cc-engine cc-vars cc-defs<br>which-key lsp-ui lsp-ui=
-flycheck lsp-ui-doc goto-addr lsp-ui-imenu<br>lsp-ui-peek lsp-ui-sideline =
lsp-ui-util face-remap company hydra<br>flycheck-package package-lint let-a=
list finder finder-inf projectile<br>lisp-mnt mail-parse rfc2231 rfc2047 rf=
c2045 mm-util ietf-drums<br>mail-prsvr grep ibuf-ext ibuffer ibuffer-loadde=
fs lsp-metals view<br>lsp-metals-treeview lsp-treemacs lsp-treemacs-themes =
treemacs<br>treemacs-header-line treemacs-compatibility treemacs-mode<br>tr=
eemacs-interface treemacs-extensions treemacs-mouse-interface<br>treemacs-t=
ags treemacs-persistence treemacs-filewatch-mode<br>treemacs-follow-mode tr=
eemacs-rendering treemacs-async<br>treemacs-workspaces treemacs-dom treemac=
s-visuals<br>treemacs-fringe-indicator treemacs-scope pulse treemacs-faces<=
br>treemacs-icons treemacs-themes treemacs-core-utils pfuture hl-line<br>tr=
eemacs-logging treemacs-customization treemacs-macros<br>lsp-metals-protoco=
l lsp-lens dap-mode dap-launch posframe dap-overlays<br>lsp-mode lsp-protoc=
ol aws-snippets go-snippets yasnippet-snippets<br>yasnippet xref project tr=
ee-widget wid-edit spinner pcase network-stream<br>puny nsm rmc markdown-mo=
de color thingatpt noutline outline lv inline<br>imenu ht filenotify ewoc e=
pg rfc6068 epg-config compile<br>text-property-search comint ring flycheck-=
eldev flycheck ansi-color<br>find-func use-package-bind-key bind-key easy-m=
mode importmagic f dash s<br>epc ctable edmacro kmacro concurrent deferred =
hl-todo use-package-ensure<br>ialign align use-package-core tab-line comp c=
omp-cstr warnings cl-extra<br>help-mode trim page-menu cperl-mode facemenu =
rx cl advice info package<br>browse-url url url-proxy url-privacy url-expan=
d url-methods url-history<br>url-cookie url-domsuf url-util mailcap url-han=
dlers url-parse<br>auth-source cl-seq eieio eieio-core cl-macs eieio-loadde=
fs<br>password-cache json map url-vars seq gv subr-x byte-opt bytecomp<br>b=
yte-compile cconv cl-loaddefs cl-lib iso-transl tooltip eldoc paren<br>elec=
tric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel<br>term=
/x-win x-win term/common-win x-dnd tool-bar dnd fontset image<br>regexp-opt=
 fringe tabulated-list replace newcomment text-mode lisp-mode<br>prog-mode =
register page tab-bar menu-bar rfn-eshadow isearch easymenu<br>timer select=
 scroll-bar mouse jit-lock font-lock syntax font-core<br>term/tty-colors fr=
ame minibuffer cl-generic cham georgian utf-8-lang<br>misc-lang vietnamese =
tibetan thai tai-viet lao korean japanese eucjp-ms<br>cp51932 hebrew greek =
romanian slovak czech european ethiopic indian<br>cyrillic chinese composit=
e emoji-zwj charscript charprop case-table<br>epa-hook jka-cmpr-hook help s=
imple abbrev obarray cl-preloaded nadvice<br>button loaddefs faces cus-face=
 macroexp files window text-properties<br>overlay sha1 md5 base64 format en=
v code-pages mule custom widget keymap<br>hashtable-print-readable backquot=
e threads dbusbind inotify<br>dynamic-setting system-font-setting font-rend=
er-setting cairo<br>move-toolbar gtk x-toolkit x multi-tty make-network-pro=
cess<br>native-compile emacs)<br><br>Memory information:<br>((conses 16 203=
3024 1757529)<br>=C2=A0(symbols 48 66451 1630)<br>=C2=A0(strings 32 383718 =
254293)<br>=C2=A0(string-bytes 1 13170950)<br>=C2=A0(vectors 16 191556)<br>=
=C2=A0(vector-slots 8 3613222 864180)<br>=C2=A0(floats 8 900 4896)<br>=C2=
=A0(intervals 56 211261 67849)<br>=C2=A0(buffers 992 38))<br></div>

--0000000000008cc38905d426b640--




Acknowledgement sent to Mark Kennedy <mark.t.kennedy@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#52833; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 15 Jan 2022 12:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.